package ipc

import (
	"io"

	"git.loafle.net/commons_go/rpc"
	"git.loafle.net/commons_go/server"
	"git.loafle.net/commons_go/server/ipc"
)

func NewServerHandler(addr string, registry rpc.Registry) ServerHandler {
	sh := &ServerHandlers{
		registry: registry,
	}
	sh.Addr = addr

	return sh
}

type ServerHandler interface {
	server.ServerHandler
}

type ServerHandlers struct {
	ipc.ServerHandlers

	registry rpc.Registry
}

func (sh *ServerHandlers) Handle(remoteAddr string, rwc io.ReadWriteCloser, stopChan chan struct{}) {

}
